Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA_2_3.portable
Class InputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.omg.CORBA.portable.InputStream
                  |
                  +--org.omg.CORBA_2_3.portable.InputStream

Direct Known Subclasses:
  AbstractInputStream, ListInputStream, LocalInputStream

public abstract class InputStream
extends InputStream

Constructor Summary
`InputStream()`

Method Summary
`java.lang.Object` | `read_abstract_interface()`
`java.lang.Object` | `read_abstract_interface(java.lang.Class clz)`
`java.io.Serializable` | `read_value()`
`java.io.Serializable` | `read_value(BoxedValueHelper factory)`
`java.io.Serializable` | `read_value(java.lang.Class clz)`
`java.io.Serializable` | `read_value(java.io.Serializable value)`
`java.io.Serializable` | `read_value(java.lang.String rep_id)`

Methods inherited from class org.omg.CORBA.portable.InputStream
`orb, read_any, read_boolean_array, read_boolean, read_char_array, read_char, read_Context, read_double_array, read_double, read_fixed, read_fixed, read_float_array, read_float, read_long_array, read_long, read_longlong_array, read_longlong, read_Object, read_Object, read_octet_array, read_octet, read_Principal, read_short_array, read_short, read_string, read_TypeCode, read_ulong_array, read_ulong, read_ulonglong_array, read_ulonglong, read_ushort_array, read_ushort, read_wchar_array, read_wchar, read_wstring, read`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputStream

    public InputStream()

Method Detail

### read_value

    public java.io.Serializable read_value()

### read_value

    public java.io.Serializable read_value(java.lang.String rep_id)

### read_value

    public java.io.Serializable read_value(java.lang.Class clz)

### read_value

    public java.io.Serializable read_value(BoxedValueHelper factory)

### read_value

    public java.io.Serializable read_value(java.io.Serializable value)

### read_abstract_interface

    public java.lang.Object read_abstract_interface()

### read_abstract_interface

    public java.lang.Object read_abstract_interface(java.lang.Class clz)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD